GET /v1/catalog/products

zuora.com

Summary: List all products
Operation ID: GET_Catalog
Auth: unknown
Description

Retrieves the entire product catalog, including all products, features, and their corresponding product rate plans, charges. Products are returned in reverse chronological order on the `UpdatedDate` field. With product rate plans and rate plan charges, the REST API has a maximum array size. For a use case of this operation, see [Retrieve the product catalog](https://www.zuora.com/developer/api-guides/#Retrieve-the-product-catalog).

Parameters (5)

Zuora-Entity-Ids (string, header, optional)

An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

Zuora-Track-Id (string, header, optional)

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

Constraints: {'maxLength': 64}

page (integer, query, optional, default: 1)

Page number.

Constraints: {'minimum': 1}

pageSize (integer, query, optional, default: 10)

Number of rows returned per page.

Constraints: {'maximum': 40}

zuora-version (string, header, optional)

The minor version of the Zuora REST API. You only need to set this parameter if you use the `productRatePlans` field.

No probe data for this endpoint yet.